﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyDrawing
{
    class Program
    {
        static void Main(string[] args)
        {

            using (Bitmap bmp = new Bitmap(800, 600))
            {
                using (Graphics g = Graphics.FromImage(bmp)) {

                    g.FillRectangle(new SolidBrush(Color.White), 0, 0, 800, 600);

                    Pen redPen = new Pen(new SolidBrush(Color.Red), 5);
                    g.DrawRectangle(redPen, 0, 0, 800, 600);


                    g.DrawEllipse(redPen, 200, 200, 100, 100);
                    g.DrawEllipse(redPen, 550, 200, 100, 100);
                    g.DrawEllipse(redPen, 400, 300, 60, 120);


                    g.DrawLine(redPen, 300, 500, 600, 500);
                    g.DrawLine(redPen, 250, 450, 300, 500);
                    g.DrawLine(redPen, 650, 450, 600, 500);

                    string str = "helloy!";
                    SizeF s = g.MeasureString(str, new Font(FontFamily.GenericSerif, 30));
                    
                    g.DrawString(
                        str, 
                        new Font(FontFamily.GenericSerif, 30), 
                        new SolidBrush(Color.Red), 
                        800 - s.Width, 
                        600 - s.Height
                        );

                }

                bmp.Save("my-img.png");
            }


        }
    }
}
